aboutsummaryrefslogtreecommitdiffstats
path: root/testing/targetcli/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-02-16 09:01:59 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-02-16 09:01:59 +0000
commitaff1632381ea7c194655aea72567cb403a268b23 (patch)
tree1b98a7cb4fabdbca15c506e0daa6cb725b32966e /testing/targetcli/APKBUILD
parentaf6166a79c09fb8669f286c3749b2efae975a39c (diff)
downloadaports-aff1632381ea7c194655aea72567cb403a268b23.tar.gz
aports-aff1632381ea7c194655aea72567cb403a268b23.tar.bz2
aports-aff1632381ea7c194655aea72567cb403a268b23.tar.xz
testing/targetcli: new aport
An administration shell for storage targets
Diffstat (limited to 'testing/targetcli/APKBUILD')
-rw-r--r--testing/targetcli/APKBUILD61
1 files changed, 61 insertions, 0 deletions
diff --git a/testing/targetcli/APKBUILD b/testing/targetcli/APKBUILD
new file mode 100644
index 0000000000..0fc025da6d
--- /dev/null
+++ b/testing/targetcli/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=targetcli
+pkgver=2.0_rc1_p7
+_ver=${pkgver/_rc/rc}
+_ver=${_ver/_p/.fb}
+pkgrel=0
+pkgdesc="An administration shell for storage targets"
+url="https://github.com/agrover/targetcli-fb"
+arch="noarch"
+license="AGPLv3"
+depends="python py-configobj py-configshell py-ethtool py-ipaddr py-rtslib
+ py-simpleparse"
+depends_dev=
+makedepends="$depends_dev"
+install=""
+subpackages=
+source="http://dev.alpinelinux.org/archive/targetcli/$pkgname-$_ver.tar.gz"
+
+_giturl="git://github.com/agrover/targetcli-fb.git"
+_gittag=v$_ver
+
+_builddir="$srcdir"/$pkgname
+
+snapshot() {
+ mkdir -p "$srcdir"
+ cd "${SRCDEST:-$srcdir}"
+ if ! [ -d targetcli-fb.git ]; then
+ git clone --bare $_giturl || return 1
+ cd targetcli-fb.git
+ else
+ cd targetcli-fb.git
+ git fetch || return 1
+ fi
+
+ git archive --prefix=$pkgname/ -o "$SRCDEST"/$pkgname-$_ver.tar.gz $_gittag
+ scp "$SRCDEST"/$pkgname-$_ver.tar.gz dev.alpinelinux.org:/archive/$pkgname/
+}
+
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --root="$pkgdir"
+}
+
+md5sums="eec7c8f81190524f8a2fbd40a0e7c7c5 targetcli-2.0rc1.fb7.tar.gz"